For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at the same URL with .md appended (or via Accept: text/markdown).
Skip to main content

eth_getCode

Returns the compiled byte code of a smart contract, if any, at a given address. This method uses 80 credits from your daily balance.

Parameters​

  • address: [Required] A string representing the address (20 bytes) of the smart contract, from which the compiled byte code will be obtained.
  • block number:[Required] A hexadecimal block number, or one of the string tags latest, earliest, pending, safe, or finalized. See the default block parameter.

Returns​

The compiled byte code of the smart contract at the given address.

Example​

Replace <YOUR-API-KEY> with an API key from your Infura dashboard.

Request​

curl https://arc-mainnet.infura.io/v3/<YOUR-API-KEY> \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc": "2.0", "method": "eth_getCode", "params": ["0x06012c8cf97bead5deae237070f9587f8e7a266d", "0x65a8db"], "id": 1}'

Response​

{
"jsonrpc": "2.0",
"id": 1,
"result": "0x60606040..."
}